/*
 * This file is part of broccoli.
 * Copyright (C) 2019 Chair of Applied Mechanics, Technical University of Munich
 * https://www.amm.mw.tum.de/
 */

#pragma once // Load this file only once

#include "memory/CircularBuffer.hpp"

/** \defgroup broccoli_memory_module broccoli Memory Module
  * The *memory* module provides classes and methods for efficient and thread-safe memory management.
  * Include all functionalities of this module with
  * \code
  * #include <broccoli/memory.hpp>
  * \endcode
  *
  * In order to keep compilation time low it is suggested that you include only the files you really need:
  *
  * File | Description
  * ---- | -----------
  * \code #include "memory/CircularBuffer.hpp" \endcode | Defines \ref broccoli::memory::CircularBuffer - \copybrief broccoli::memory::CircularBuffer
  */

// Documentation of namespace
namespace broccoli {
//! Namespace of \ref broccoli_memory_module
namespace memory {
}
}
