/*
 * This file is part of broccoli.
 * Copyright (C) 2019 Chair of Applied Mechanics, Technical University of Munich
 * https://www.amm.mw.tum.de/
 */

#pragma once // Load this file only once

#include "parallel/BackgroundWorker.hpp"

/** \defgroup broccoli_parallel_module broccoli Parallel Module
  * The *parallel* module provides classes and methods for efficient multi-threading and
  * parallel-processing.
  * Include all functionalities of this module with
  * \code
  * #include <broccoli/parallel.hpp>
  * \endcode
  *
  * In order to keep compilation time low it is suggested that you include only the files you really need:
  *
  * File | Description
  * ---- | -----------
  * \code #include "parallel/BackgroundWorker.hpp" \endcode | Defines \ref broccoli::parallel::BackgroundWorker - \copybrief broccoli::parallel::BackgroundWorker
  */

// Documentation of namespace
namespace broccoli {
//! Namespace of \ref broccoli_parallel_module
namespace parallel {
}
}
