/*
 * This file is part of broccoli.
 * Copyright (C) 2019 Chair of Applied Mechanics, Technical University of Munich
 * https://www.amm.mw.tum.de/
 */

#include "broccoli/io/SerializableDataString.hpp"
#include "gtest/gtest.h"

using namespace broccoli;
using namespace io;

//! Check serialization and deserialization of SerializableDataString
TEST(SerializableDataString, SerializableDataString)
{
    // Initialize helpers
    serialization::BinaryStream stream;
    serialization::BinaryStreamSize inputStreamSize, outputStreamSize;
    SerializableDataString inputValue;
    inputValue.m_string = "asdf";
    SerializableDataString outputValue;

    // Serialize
    inputStreamSize = inputValue.serialize(stream);

    // Deserialize
    outputStreamSize = outputValue.deSerialize(stream, 0);

    // Check value
    ASSERT_TRUE(outputValue == inputValue);

    // Check stream sizes
    ASSERT_TRUE(outputStreamSize == inputStreamSize);
    ASSERT_TRUE(outputStreamSize == stream.size());
}
